Bug 503426 - bfd attempts to chmod +x !S_ISREG() output files
bfd attempts to chmod +x !S_ISREG() output files
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: binutils (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Nick Clifton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-31 19:40 EDT by Eric Paris
Modified: 2009-06-11 11:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-11 11:30:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to make bfd only add +x to regular output files. (722 bytes, patch)
2009-05-31 19:40 EDT, Eric Paris
no flags Details | Diff

  None (edit)
Description Eric Paris 2009-05-31 19:40:32 EDT
Created attachment 346036 [details]
Patch to make bfd only add +x to regular output files.

When running as a user with restrictive SELinux permissions I found that the kernel build process passes -o /dev/null to the linker in a number of places, this in turn caused the attempt to add +x to /dev/null.

This patch causes the linker to only attempt to add the execute bit on S_ISREG output files, as execute permissions on chr,blk,etc doesn't make much sense.
Comment 1 Bug Zapper 2009-06-09 12:53:58 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Nick Clifton 2009-06-11 11:30:05 EDT
Hi Eric,

  Thanks for reporting this bug and providing a fix for it as well.  I apologise for taking so long to respond to it.  

  Your patch is fine and I have added it to the rawhide binutils package (binutils-2.19.51.0.2-21.fc12).

  Cheers
   Nick

Note You need to log in before you can comment on or make changes to this bug.